import React, { Component } from 'react';
import { View, Text, TextInput, TouchableOpacity, Platform } from 'react-native';
import { colors } from '../assets/styles/colors-theme';
import { width, height } from '../services/screen';
import { s, vs, ms } from 'react-native-size-matters';
class CustomLoginButton extends Component {
  render() {
    return (
      <TouchableOpacity
        onPress={() => this.props.onPress && this.props.onPress()}
        style={{
          backgroundColor:
            this.props.color != null ? this.props.color : colors.fontColor,
          height: s(35),
          borderRadius: 30,
          width: s(210),
          justifyContent: 'center',
          alignItems: 'center',
          marginTop: 10,
        }}>
        <Text
          style={{
            color:
              this.props.textColor != null ? this.props.textColor : 'white',
            fontSize: s(13),
          }}>
          {this.props.title}
        </Text>
      </TouchableOpacity>
    );
  }
}
export default CustomLoginButton;
